Skip to content
Endless Documentation

Fork Conversations

POST
/organizations/{organization_id}/chat-conversations/{conversation_id}/fork

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Length1 <= length
conversation_id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/organizations/org_abc123/chat-conversations/0191e5a2-5f18-7d63-b016-8c4a9e2f7b51/fork" \  -H "Content-Type: application/json" \  -d '{}'
{  "chat": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "organization_id": "string",    "created_by_id": "string",    "title": "string",    "visibility": "private",    "active_leaf_id": "c8d08496-126b-4d7c-ab5e-5d8539e8add1",    "schedule_id": "8929bb67-0da1-406c-99d2-5447376a4f58",    "forked_from_conversation_id": "9efa4a3e-b183-495f-84f7-6ee3978206a9",    "message_count": -2147483648,    "last_message_at": "2019-08-24T14:15:22Z",    "active_run_id": "string",    "active_run_at": "2019-08-24T14:15:22Z",    "mod_conversation_id": "string",    "deleted_at": "2019-08-24T14:15:22Z",    "deleted_by_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}